<div *ngIf="user" fxLayout="row">
  <div class="row" fxFlex="80" fxFlexOffset="10">

    <!-- =============================================== First Row =============================================== -->
    <raamCard fxFlex>
      <div fxLayout="column" fxLayoutAlign="space-around" style="height: 37vh;" fxFlex="grow">
        <!-- ============================================== User Data ============================================== -->
        <div fxLayout="row" fxLayoutAlign="center end">
          <img alt="RaaM Logo" src="../assets/RaaM.svg" fxFlex="14">
          <div fxLayout="column" fxFlexOffset="2" fxFlex>
            <raamInput title="Username" fxFlexOffset="2"
                       [value]="user.username" (valueChange)="user.username = $event"></raamInput>
            <raamInput title="Password"
                       [value]="'- The true Password is missing -'"></raamInput>
          </div>
        </div>

        <!-- ============================================== Base Data ============================================== -->
        <raamInput title="First Name" fxFlexOffset="2"
                   [value]="user.firstName" (valueChange)="user.firstName = $event"></raamInput>
        <raamInput title="Last Name"
                   [value]="user.lastName" (valueChange)="user.lastName = $event"></raamInput>
        <raamInput title="Email"
                   [value]="user.email" (valueChange)="user.email = $event"></raamInput>
      </div>
    </raamCard>

    <!-- ============================================= Role Selection ============================================ -->
    <raamCard *ngIf="roles" title="Roles" fxFlexOffset="1" fxFlex="25">
      <div fxLayout="column" fxFlex="grow" [style.height]="'35vh'">
        <div *ngFor="let roll of roles">
          <raamSwitch [label]="roll.name" [color]="roll.color"
                      [value]="user.hasRole(roll)" (valueChange)="changeRoll($event, roll)"></raamSwitch>
        </div>
        <div *ngIf="roles.length === 0" fxFlex="grow" fxLayout="column" fxLayoutAlign="center center">
          <button class="btn btn-outline-primary" (click)="defaultRolesModal.open()">create default</button>
        </div>
      </div>
    </raamCard>

    <!-- ============================================== Card Perview ============================================= -->
    <userCard [user]="user" fxFlexOffset="1"></userCard>
  </div>
</div>

<div *ngIf="user" fxLayout="row">
  <raamCard fxFlex="40" fxFlexOffset="10">
    <raamInput title="Description" [areaText]="true" fxFlex
               [value]="user.personalWords" (valueChange)="user.personalWords = $event">
    </raamInput>
  </raamCard>
  <div fxLayout="column" fxFlex="40">
    <raamCard *ngFor="let cred of user.credentials">
      <div fxLayout="column" fxFlex>
        <span class="raamHintText bigText">{{cred.repository.name}}</span>
        <div fxLayout="row" fxLayoutAlign="space-around center" fxFlex>
          <raamInput title="Username" fxFlex="49"
                     [value]="cred.username" (valueChange)="cred.username = $event">
          </raamInput>
          <raamInput title="Password" type="password" fxFlex="49" fxFlexOffset="1"
                     [value]="cred.password" (valueChange)="cred.password = $event">
          </raamInput>
        </div>
      </div>
    </raamCard>
  </div>
</div>

<defaultRolesModal #defaultRolesModal (finished)="getAllRolls()"></defaultRolesModal>
